> For the complete documentation index, see [llms.txt](https://docs.makerdao.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.makerdao.com/build/dai.js/systemdataservice.md).

# System data

Use the `mcd:systemData` service to look up system-wide parameters. In the code, this is called [SystemDataService](https://github.com/makerdao/dai.js/blob/dev/packages/dai-plugin-mcd/src/SystemDataService.js).

```javascript
const service = maker.service('mcd:systemData');
```

## Instance methods

### getAnnualBaseRate()

Returns the base rate applied to all collateral types, in addition to their individual risk premiums.

```javascript
const base = await service.getAnnualBaseRate();
```

### getSystemWideDebtCeiling()

Returns the debt ceiling for the entire system.

```javascript
const line = await service.getSystemWideDebtCeiling();
```

### isGlobalSettlementInvoked()

Returns a boolean that is true if emergency shutdown has been triggered.

```javascript
const dead = await service.isGlobalSettlementInvoked();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.makerdao.com/build/dai.js/systemdataservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
